### Function

# GLib PtrArray sort_values_with_data

since: 2.76

#### Declaration [src]

    void
    g_ptr_array_sort_values_with_data (
      GPtrArray* array,
      GCompareDataFunc compare_func,
      gpointer user_data
    )

#### Description [src]

Like `g_ptr_array_sort_values()`, but the comparison function has an extra user data argument.

This is guaranteed to be a stable sort.

Available since: 2.76

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A pointer array.

  The data is owned by the caller of the function.

`compare_func`

  Type: `GCompareDataFunc`

  A comparison function.

`user_data`

  Type: `gpointer`

  The data to pass to `compare_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.